Ironruby installation

A co-worker in Germany is trying to install IronRuby on Windows XP
SP3. The installer fails with:

“Dieses Installationspaket kann vom Windows Installer-Dienst nicht
installiert werden. Sie mussen ein Service Pack fur Windows
installieren, das eine neuere Version des Windows Installer-Diensts
enthalt.”

Translation:

“This installation package can not be installed by the Windows
Installer Service. You have to install a service pack for Windows
which contains a newer version for the Windows Installer Service”.

I had no such difficulty installing IronRuby on XP SP3 (English). Any
ideas what the remedy is?

Thanks,
Mark Z.

I believe the installer is targeting v4.5 and I don’t know if that is
included in the service pack. The information about Windows installer
4.5 is here: http://support.microsoft.com/default.aspx/kb/942288?p=1

JD

JD

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs